Skip to main content
POST
/
api2
/
v3
/
users
Create user
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v3/users \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "role": "SYS_ADMIN",
  "timezone": "<string>",
  "userName": "<string>",
  "active": true,
  "note": "<string>",
  "password": "<string>",
  "receiveNewsletter": true
}
'
{
  "email": "<string>",
  "firstName": "<string>",
  "id": 123,
  "lastName": "<string>",
  "role": "ADMIN",
  "timezone": "<string>",
  "uid": "<string>",
  "userName": "<string>",
  "active": true,
  "assignableRoles": [
    "<string>"
  ],
  "createdBy": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "role": "SYS_ADMIN",
    "uid": "<string>",
    "userName": "<string>"
  },
  "credentialsReadonly": true,
  "dateCreated": "2023-11-07T05:31:56Z",
  "dateDeleted": "2023-11-07T05:31:56Z",
  "editorVersion": "<string>",
  "jobsInProgress": 123,
  "lastLogin": "2023-11-07T05:31:56Z",
  "note": "<string>",
  "pendingEmailChange": true,
  "receiveNewsletter": true,
  "twoFactorAuthEnabled": true
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Query Parameters

sendInvitation
boolean
default:false

Body

application/json
email
string
required
Maximum string length: 255
firstName
string
required
Maximum string length: 255
lastName
string
required
Maximum string length: 255
role
enum<string>
required

Enum: "ADMIN", "PROJECT_MANAGER", "LINGUIST", "GUEST", "SUBMITTER", "PORTAL_MEMBER"

Available options:
SYS_ADMIN,
SYS_ADMIN_READ,
ADMIN,
PROJECT_MANAGER,
LINGUIST,
GUEST,
SUBMITTER,
PORTAL_MEMBER,
BOT
timezone
string
required
Maximum string length: 255
userName
string
required
Maximum string length: 255
active
boolean

Default: true

note
string
Maximum string length: 4096
password
string

Will be ignored if sendInvitation parameter is set to true

Maximum string length: 255
receiveNewsletter
boolean

Default: true

Response

Created

User with all belonging objects

email
string
required
Maximum string length: 255
firstName
string
required
Maximum string length: 255
id
integer<int64>
required
lastName
string
required
Maximum string length: 255
role
enum<string>
required
Available options:
ADMIN,
PROJECT_MANAGER,
LINGUIST,
GUEST,
SUBMITTER,
PORTAL_MEMBER
timezone
string
required
Maximum string length: 255
uid
string
required
Maximum string length: 255
userName
string
required
Maximum string length: 255
active
boolean
assignableRoles
string[]
createdBy
object
credentialsReadonly
boolean

If user credentials are readonly due to SSO

dateCreated
string<date-time>
dateDeleted
string<date-time>
editorVersion
string
jobsInProgress
integer<int32>
lastLogin
string<date-time>
note
string
Maximum string length: 4096
pendingEmailChange
boolean

If user has email change pending (new email not verified)

receiveNewsletter
boolean
twoFactorAuthEnabled
boolean

If user has 2FA key configured